Debian Bug report logs - #94097
can't build on arm

version graph

Package: cln; Maintainer for cln is Richard Kreckel <kreckel@ginac.de>;

Reported by: Philip Blundell <philb@gnu.org>

Date: Sun, 15 Apr 2001 22:03:49 UTC

Severity: serious

Found in version 1.1.0-4

Fixed in version cln/1.1.0-5

Done: Richard Kreckel <kreckel@ginac.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Richard Kreckel <kreckel@ginac.de>:
Bug#94097; Package cln. Full text and rfc822 format available.

Acknowledgement sent to Philip Blundell <philb@gnu.org>:
New Bug report received and forwarded. Copy sent to Richard Kreckel <kreckel@ginac.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philip Blundell <philb@gnu.org>
To: submit@bugs.debian.org
Subject: can't build on arm
Date: Sun, 15 Apr 2001 22:18:01 +0100
Package: cln
Version: 1.1.0-4
Severity: serious

Building on ARM fails with this error:

c++ -O -O2 -fno-exceptions exam.o exam_I.o exam_RA.o exam_SF.o exam_FF.o exam_DF.o exam_LF.o exam_I_gcd.o exam_I_sqrtp.o ../src/.libs/libcln.so -lgmp -lm -o .libs/exam
../src/.libs/libcln.so: undefined reference to `compare_loop_up'
../src/.libs/libcln.so: undefined reference to `and_test_loop_down'
../src/.libs/libcln.so: undefined reference to `and_loop_down'
../src/.libs/libcln.so: undefined reference to `clear_loop_up'
../src/.libs/libcln.so: undefined reference to `copy_loop_up'
../src/.libs/libcln.so: undefined reference to `andc2_loop_down'
../src/.libs/libcln.so: undefined reference to `xor_loop_down'
../src/.libs/libcln.so: undefined reference to `copy_loop_down'
../src/.libs/libcln.so: undefined reference to `test_loop_down'
../src/.libs/libcln.so: undefined reference to `mulu32_'
../src/.libs/libcln.so: undefined reference to `not_loop_down'
../src/.libs/libcln.so: undefined reference to `compare_loop_down'
../src/.libs/libcln.so: undefined reference to `orc2_loop_down'
../src/.libs/libcln.so: undefined reference to `clear_loop_down'
../src/.libs/libcln.so: undefined reference to `neg_loop_up'
../src/.libs/libcln.so: undefined reference to `divu_3216_1616_'
../src/.libs/libcln.so: undefined reference to `or_loop_down'
../src/.libs/libcln.so: undefined reference to `fill_loop_up'
../src/.libs/libcln.so: undefined reference to `nor_loop_down'
../src/.libs/libcln.so: undefined reference to `nand_loop_down'
../src/.libs/libcln.so: undefined reference to `xor_loop_up'
../src/.libs/libcln.so: undefined reference to `divu_6432_3232_'
../src/.libs/libcln.so: undefined reference to `test_loop_up'
../src/.libs/libcln.so: undefined reference to `eqv_loop_down'
collect2: ld returned 1 exit status
make[2]: *** [exam] Error 1





Information forwarded to debian-bugs-dist@lists.debian.org, Richard Kreckel <kreckel@ginac.de>:
Bug#94097; Package cln. Full text and rfc822 format available.

Acknowledgement sent to Richard.Kreckel@Uni-Mainz.DE:
Extra info received and forwarded to list. Copy sent to Richard Kreckel <kreckel@ginac.de>. Full text and rfc822 format available.

Message #10 received at 94097@bugs.debian.org (full text, mbox):

From: "Richard B. Kreckel" <kreckel@ginac.de>
To: Philip Blundell <philb@gnu.org>, 94097@bugs.debian.org
Subject: Re: Bug#94097: can't build on arm
Date: Mon, 16 Apr 2001 12:44:36 +0200 (CEST)
On Sun, 15 Apr 2001, Philip Blundell wrote:
> Package: cln
> Version: 1.1.0-4
> Severity: serious
> 
> Building on ARM fails with this error:
> 
> c++ -O -O2 -fno-exceptions exam.o exam_I.o exam_RA.o exam_SF.o exam_FF.o exam_DF.o exam_LF.o exam_I_gcd.o exam_I_sqrtp.o ../src/.libs/libcln.so -lgmp -lm -o .libs/exam
> ../src/.libs/libcln.so: undefined reference to `compare_loop_up'
> ../src/.libs/libcln.so: undefined reference to `and_test_loop_down'
> ../src/.libs/libcln.so: undefined reference to `and_loop_down'
> ../src/.libs/libcln.so: undefined reference to `clear_loop_up'
> ../src/.libs/libcln.so: undefined reference to `copy_loop_up'
> ../src/.libs/libcln.so: undefined reference to `andc2_loop_down'
> ../src/.libs/libcln.so: undefined reference to `xor_loop_down'
> ../src/.libs/libcln.so: undefined reference to `copy_loop_down'
> ../src/.libs/libcln.so: undefined reference to `test_loop_down'
> ../src/.libs/libcln.so: undefined reference to `mulu32_'
> ../src/.libs/libcln.so: undefined reference to `not_loop_down'
> ../src/.libs/libcln.so: undefined reference to `compare_loop_down'
> ../src/.libs/libcln.so: undefined reference to `orc2_loop_down'
> ../src/.libs/libcln.so: undefined reference to `clear_loop_down'
> ../src/.libs/libcln.so: undefined reference to `neg_loop_up'
> ../src/.libs/libcln.so: undefined reference to `divu_3216_1616_'
> ../src/.libs/libcln.so: undefined reference to `or_loop_down'
> ../src/.libs/libcln.so: undefined reference to `fill_loop_up'
> ../src/.libs/libcln.so: undefined reference to `nor_loop_down'
> ../src/.libs/libcln.so: undefined reference to `nand_loop_down'
> ../src/.libs/libcln.so: undefined reference to `xor_loop_up'
> ../src/.libs/libcln.so: undefined reference to `divu_6432_3232_'
> ../src/.libs/libcln.so: undefined reference to `test_loop_up'
> ../src/.libs/libcln.so: undefined reference to `eqv_loop_down'
> collect2: ld returned 1 exit status
> make[2]: *** [exam] Error 1

What's this???  It compiled okay and then failed to link the exam program?  
Are you definitely sure it did compile?  Maybe you helped it by compiling
one of the objects with -O0, instead?  Sorry, for asking this stupid
questions but I am already slightly surprised you got so far.  This point
of failure is quite an uncommon one!  Given that CLN takes ages to
compile, are the ARM objects still available on one of the machines?  I
need to give it a try on one of the arms but given it fails to link
symbols that it must have compiled previously I suspect the problem lies
elsewhere:  Both Debussy and Rameau are running binutils 2.9.x and this is
well known to be a definite Kamikaze for large C++ libraries.  

I've therefore put a Build-Depends binutils (>=2.10) in CLN.  It's okay to
run ancient binutils on potato systems but I noticed that binutils 2.10.1
and 2.11.90 are sitting somewhere in the pool and are not propagating into
woody.  This is causing me a lot of headaches over here with C++
libraries.  Do you have any idea what's causing the delay?  Maybe we
should contact the binutils maintainers about this issue.

Would it be okay with you to normal the bug?  

Regards
    -richy.
-- 
Richard Kreckel
<Richard.Kreckel@Uni-Mainz.DE>
<http://wwwthep.physik.uni-mainz.de/~kreckel/>





Information forwarded to debian-bugs-dist@lists.debian.org, Richard Kreckel <kreckel@ginac.de>:
Bug#94097; Package cln. Full text and rfc822 format available.

Acknowledgement sent to Philip Blundell <philb@gnu.org>:
Extra info received and forwarded to list. Copy sent to Richard Kreckel <kreckel@ginac.de>. Full text and rfc822 format available.

Message #15 received at 94097@bugs.debian.org (full text, mbox):

From: Philip Blundell <philb@gnu.org>
To: Richard.Kreckel@Uni-Mainz.DE
Cc: 94097@bugs.debian.org
Subject: Re: Bug#94097: can't build on arm
Date: Mon, 16 Apr 2001 11:51:43 +0100
>What's this???  It compiled okay and then failed to link the exam program?  
>Are you definitely sure it did compile?  Maybe you helped it by compiling
>one of the objects with -O0, instead? 

Nope, I didn't do anything by hand.  You can find the complete build log at 
<http://buildd.armlinux.org/~buildd/build.php?arch=arm&pkg=cln>.

The arm autobuilder machines are all running binutils 2.11.x -- it's possible 
that there are still bugs in that version, of course, but I haven't noticed 
problems with other packages.  I can create you an account on one of those 
machines if you want to try it out.

>Would it be okay with you to normal the bug?  

Let's try and get some more information about what's going wrong, first.

p.





Information forwarded to debian-bugs-dist@lists.debian.org, Richard Kreckel <kreckel@ginac.de>:
Bug#94097; Package cln. Full text and rfc822 format available.

Acknowledgement sent to Richard.Kreckel@Uni-Mainz.DE:
Extra info received and forwarded to list. Copy sent to Richard Kreckel <kreckel@ginac.de>. Full text and rfc822 format available.

Message #20 received at 94097@bugs.debian.org (full text, mbox):

From: "Richard B. Kreckel" <kreckel@ginac.de>
To: Philip Blundell <philb@gnu.org>
Cc: 94097@bugs.debian.org
Subject: Re: Bug#94097: can't build on arm
Date: Mon, 16 Apr 2001 12:58:20 +0200 (CEST)
On Mon, 16 Apr 2001, Philip Blundell wrote:
> >What's this???  It compiled okay and then failed to link the exam program?  
> >Are you definitely sure it did compile?  Maybe you helped it by compiling
> >one of the objects with -O0, instead? 
> 
> Nope, I didn't do anything by hand.  You can find the complete build log at 
> <http://buildd.armlinux.org/~buildd/build.php?arch=arm&pkg=cln>.
> 
> The arm autobuilder machines are all running binutils 2.11.x -- it's possible 
> that there are still bugs in that version, of course, but I haven't noticed 
> problems with other packages.  I can create you an account on one of those 
> machines if you want to try it out.
> 
> >Would it be okay with you to normal the bug?  
> 
> Let's try and get some more information about what's going wrong, first.

Ah, the fact they are running newer binutils changes things.  Could you
create an account for me, please, so I can hammer on it?

Regards
    -richy.
-- 
Richard Kreckel
<Richard.Kreckel@Uni-Mainz.DE>
<http://wwwthep.physik.uni-mainz.de/~kreckel/>





Reply sent to Richard Kreckel <kreckel@ginac.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philip Blundell <philb@gnu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 94097-close@bugs.debian.org (full text, mbox):

From: Richard Kreckel <kreckel@ginac.de>
To: 94097-close@bugs.debian.org
Subject: Bug#94097: fixed in cln 1.1.0-5
Date: Tue, 24 Apr 2001 14:54:15 -0400
We believe that the bug you reported is fixed in the latest version of
cln, which has been installed in the Debian FTP archive:

cln-dev_1.1.0-5_i386.deb
  to pool/main/c/cln/cln-dev_1.1.0-5_i386.deb
cln_1.1.0-5.diff.gz
  to pool/main/c/cln/cln_1.1.0-5.diff.gz
cln_1.1.0-5_i386.deb
  to pool/main/c/cln/cln_1.1.0-5_i386.deb
cln_1.1.0-5.dsc
  to pool/main/c/cln/cln_1.1.0-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 94097@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Richard Kreckel <kreckel@ginac.de> (supplier of updated cln package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 21 Apr 2001 15:46:31 +0200
Source: cln
Binary: cln cln-dev
Architecture: source i386
Version: 1.1.0-5
Distribution: unstable
Urgency: low
Maintainer: Richard Kreckel <kreckel@ginac.de>
Changed-By: Richard Kreckel <kreckel@ginac.de>
Description: 
 cln        - Class Library for Numbers (C++)
 cln-dev    - Development library for Class Library for Numbers (c++)
Closes: 94097
Changes: 
 cln (1.1.0-5) unstable; urgency=low
 .
   * Fixed some missing !defined(NO_ASM) preprocessor directives in
     upstream's CVS and backported them to the Debian package in order to...
   * ...switch them on by debian/rules if we are on the ARM architecture;
     closes: #94097.
Files: 
 ec9460733e54471972f952300388b279 659 - optional cln_1.1.0-5.dsc
 d7112431d80445b588221a6100451a9d 5354 - optional cln_1.1.0-5.diff.gz
 00e6c42504662446a1136515acf831b0 359202 math optional cln_1.1.0-5_i386.deb
 0734a9b7ae615fe8aa723544e2c37ea8 801300 devel optional cln-dev_1.1.0-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAjrlZvsACgkQXY7lDPAZkWIsMACdHR5BFm0Vq1P8vc6KaeJfDaPC
bdAAoKszA50N+Sro7OjeBVdPMyPdti/b
=1T+3
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:35:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.